Creates an ESA channel version for a specified ESA channel
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| esaChannelId | The ESA channel identifier | integer (int32) | Required |
Request Body
EsaChannelVersionCreateWithBeginDate
| Property | Description | Type |
|---|---|---|
| beginDate | Date and time that this channel version is valid from. The valid period is exclusive of the beginDate. The time zone of this date will match the data point’s time zone. Therefore, if any time zone information is provided, it will be ignored. | string (date-time) |
| formula | The formula that should be used to calculate the channel’s values. Should only be provided when channel’s IsCalculated property equals true. | string |
| isValuePositive | Indicates if the final value is always positive | boolean |
| maximumReading | The channel Maximum Computed Reading Must be between -999999999999999 and 999999999999999 Max scale of 15, max precision of 30 NULL Valid | number (double) |
| minimumReading | The channel Minimum Computed Reading Must be between -999999999999999 and 999999999999999 Max scale of 15, max precision of 30 NULL Valid | number (double) |
| multiplier | The channel multiplier Must be between -9999999999999 and 9999999999999 Required Max scale of 15, max precision of 30 | number (double) |
| observationRuleId | Indicates the channel observation rule Demand channels cannot have the odometer observation rule Required Must be a valid value for ObservationRuleEnum: Odometer = 1, Trip = 2 | integer (int32) |
| offset | The channel offset Exclusive to the Trip observation rule Must be between -9999999999999 and 9999999999999 Max scale of 15, max precision of 30 | number (double) |
| rollbackAllowance | The channel Odometer Rollover Allowance. Exclusive to the Odometer observation rule If not provided, the default 0.1 is used Must be between 0 and 1 Max scale of 15, max precision of 30 NULL Valid Must be null when ObservationRuleId is set to Trip, case sensitive | number (double) |
| rolloverValue | The channel Odometer Rollover Value. Exclusive to the Odometer observation rule If not provided, the default 999999999999999 is used Must be between 0 and 999999999999999 Max scale of 15, max precision of 30 NULL Valid Must be null when ObservationRuleId is set to Trip, case sensitive | number (double) |
| unitId | The channel unit identifier. It cannot be a Money unit type. Required | integer (int32) |
Example Request Body
{ "beginDate": "2026-03-30", "formula": "string", "isValuePositive": false, "maximumReading": 1.0, "minimumReading": 1.0, "multiplier": 1.0, "observationRuleId": 1, "offset": 1.0, "rollbackAllowance": 1.0, "rolloverValue": 1.0, "unitId": 1
}
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
EsaChannelVersionResponse
| Property | Description | Type | ||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| beginDate | Date and time that this channel version is valid from. The valid period is exclusive of the beginDate. | string (date-time) | ||||||||||||
| channelVersionId | The channel version identifier | integer (int32) | ||||||||||||
| endDate | Date and time that this channel version is valid until. The valid period is inclusive of the endDate. | string (date-time) | ||||||||||||
| formula | The formula that should be used in calculated channels. | string | ||||||||||||
| isValuePositive | Indicates if the channel final value is always positive | boolean | ||||||||||||
| maximumReading | The channel’s maximum reading | number (double) | ||||||||||||
| minimumReading | The channel’s minimum reading | number (double) | ||||||||||||
| multiplier | The channel multiplier | number (double) | ||||||||||||
| observationRule | ObservationRule | |||||||||||||
|
ObservationRule properties
|
||||||||||||||
| offset | The channel offset | number (double) | ||||||||||||
| resolvedFormula | Formula, but with the input Channels and Meters referenced by ChannelInfo (name) instead of by ID. | string | ||||||||||||
| rollbackAllowance | The channel’s roll back allowance | number (double) | ||||||||||||
| rolloverValue | The channel’s rollover value | number (double) | ||||||||||||
| unit | UnitChild | |||||||||||||
|
UnitChild properties
|
||||||||||||||
Example Response
{ "beginDate": "2026-03-30", "channelVersionId": 1, "endDate": "2026-03-30", "formula": "string", "isValuePositive": false, "maximumReading": 1.0, "minimumReading": 1.0, "multiplier": 1.0, "observationRule": { "observationRuleCode": "string", "observationRuleId": 1, "observationRuleInfo": "string"
}, "offset": 1.0, "resolvedFormula": "string", "rollbackAllowance": 1.0, "rolloverValue": 1.0, "unit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}
}